// defines to use in your game --------------------------
#define CARDWIDTH	71
#define CARDHEIGHT	96
#define FACEUP		1
#define FACEDOWN	0
#define OFFSET		16

// declarations for functions ---------------------------

#ifdef _cplusplus
extern "C" {
#endif

// ------------------------------------------------------

void FAR PASCAL DrawSymbol(HWND, int, int, int);
void FAR PASCAL DrawCard(HWND, int, int, int);
void FAR PASCAL DrawBack(HWND, int, int, int);
void FAR PASCAL RemoveCard(HWND, int);
BOOL FAR PASCAL InitializeDeck(HWND);
void FAR PASCAL DealCard(HWND, int, int, int);
int FAR PASCAL GetCardColor(int);
int FAR PASCAL GetCardSuit(int);
int FAR PASCAL GetCardValue(int);
BOOL FAR PASCAL GetCardStatus(int);
BOOL FAR PASCAL GetCardBlocked(int);
BOOL FAR PASCAL IsCardDisabled(int);
int FAR PASCAL GetCardX(int);
int FAR PASCAL GetCardY(int);
BOOL FAR PASCAL GetUser1(int);
int FAR PASCAL GetUser2(int);
int FAR PASCAL GetUser3(int);
int FAR PASCAL GetUser4(int);
void FAR PASCAL SetCardStatus(int, BOOL);
void FAR PASCAL AdjustCardBlocked(int, BOOL);
void FAR PASCAL SetCardDisabled(int, BOOL);
void FAR PASCAL SetCardX(int, int);
void FAR PASCAL SetCardY(int, int);
void FAR PASCAL SetUser1(int, BOOL);
void FAR PASCAL SetUser2(int, int);
void FAR PASCAL SetUser3(int, int);
void FAR PASCAL SetUser4(int, int);
int FAR PASCAL InitDrag(HWND, int, int);
void FAR PASCAL AbortDrag (void);
void FAR PASCAL DoDrag(HWND, int, int);
int FAR PASCAL EndDrag (HWND, int, int);
void FAR PASCAL ReturnDrag(HWND, int, int, int);
void FAR PASCAL SetDefaultValues(void);
void FAR PASCAL BlockDrag(HWND, int far *, int, int, int);
int FAR PASCAL EndBlockDrag(HWND, int far *, int, int, int);
void FAR PASCAL ReturnBlockDrag(HWND, int far *, int, int, int);
int FAR PASCAL GetFreeDestination(int);
void FAR PASCAL SetCurrentBack(int);
void FAR PASCAL SetOffSet(int);

// Undocumented functions, generally not used
// ------------------------------------------

// returns the number of any unblocked card which lies beneath the point int(x), int(y)
int FAR PASCAL PointInFreeCard(int, int);

// returns the number of any card whose top 16 (or OffSet) pixels lie beneath the point int(x), int(y)
int FAR PASCAL PointInCardTop(int, int);

// manually sets the active drag card for a subsequent DoDrag or BlockDrag call
void FAR PASCAL SetActiveCard(int);

#ifdef _cplusplus
}
#endif











